summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2017-11-15 07:50:10 +0100
committerDavide Pesavento <pesa@gentoo.org>2017-11-15 07:53:50 +0100
commitcc991679a43c84a820739fd47cfd14614b4e76ee (patch)
tree90358219a5091a668d4f6fe591bb100fa2a427d0 /dev-util/eric
parentdev-ruby/websocket: fix whitespace (diff)
downloadgentoo-cc991679a43c84a820739fd47cfd14614b4e76ee.tar.gz
gentoo-cc991679a43c84a820739fd47cfd14614b4e76ee.tar.bz2
gentoo-cc991679a43c84a820739fd47cfd14614b4e76ee.zip
dev-util/eric: version bump
Package-Manager: Portage-2.3.13, Repoman-2.3.4
Diffstat (limited to 'dev-util/eric')
-rw-r--r--dev-util/eric/Manifest1
-rw-r--r--dev-util/eric/eric-17.11.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/dev-util/eric/Manifest b/dev-util/eric/Manifest
index 352e76f9f03..17748f1acf1 100644
--- a/dev-util/eric/Manifest
+++ b/dev-util/eric/Manifest
@@ -1,2 +1,3 @@
DIST eric6-17.08.tar.gz 18867453 SHA256 15283d103dd4295d0c539d670e41f6fd8645cb5cddc630917c41f880efde90fa SHA512 9a8184318cbd4d578606e57f9ad55571387288df86fc87d661f8235b2fde0a74102c7af627ac0d32ae7c2a990c38e7df96fa3e1525f10290c2d2726e71fcd68b WHIRLPOOL de6dcfe8aeb641b912975c37c2a5c2012ac08af936600426ef75a190f22bb6c7b35aae89036b095f1e7f41ad84184b85b272c68718073196d893b2b4eebf7300
DIST eric6-17.09.tar.gz 18914614 SHA256 e006e3d7d98e16bc210799fc116182ffd6dc89dfd5715cdb798a53e07a471989 SHA512 73631ff1faef01b51a640af13dbb3adabebc63280f15b5e594e1fcbfb799a40a8e7ecb7395c52c6878b1fa232d7c00fb531a24be9f89a3592602aeb10520737d WHIRLPOOL 1079c63aa95efb623f36481357dde15e2669c8a56c0cbf481f4531fce4e3c8e08e348f22baaa9b37e39c6eb268b060878ee6c878c78875f0ace8cea184e57afe
+DIST eric6-17.11.tar.gz 18984264 SHA256 ea722650cac550ed3f1be0ddbd7a596054b19cb793bc40d1847d658f14259a1b SHA512 e95941805d44f01de67d5f256f822a829bd224841a7f2b0bd245e7388b96a5eb94ab34004720c05a355fbeeb30ed4a521e07ea7069441fe6a90c13ff8cf853f8 WHIRLPOOL bc79cc15f29ec325500486434fe1095c6d8500b357df7a542ed19a4f4d0a699c8838c2bf7c547ad2b893fbf929d8c7f9467c04aed15baaa6c1103dbc18fe28c4
diff --git a/dev-util/eric/eric-17.11.ebuild b/dev-util/eric/eric-17.11.ebuild
new file mode 100644
index 00000000000..6d5d56d78f5
--- /dev/null
+++ b/dev-util/eric/eric-17.11.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+PYTHON_REQ_USE="sqlite,xml"
+
+inherit python-single-r1
+
+DESCRIPTION="A full featured Python IDE using PyQt and QScintilla"
+HOMEPAGE="http://eric-ide.python-projects.org/"
+LICENSE="GPL-3"
+SLOT="6"
+
+MY_P=${PN}${SLOT}-${PV}
+SRC_URI="mirror://sourceforge/eric-ide/${PN}${SLOT}/stable/${PV}/${MY_P}.tar.gz"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE=""
+
+DEPEND="
+ ${PYTHON_DEPS}
+ >=dev-python/sip-4.14.3[${PYTHON_USEDEP}]
+ >=dev-python/PyQt5-5.7.1[${PYTHON_USEDEP},gui,network,printsupport,sql,svg,widgets]
+ >=dev-python/qscintilla-python-2.9.4-r1[${PYTHON_USEDEP},qt5]
+"
+RDEPEND="${DEPEND}
+ || (
+ dev-python/PyQt5[${PYTHON_USEDEP},help,webkit]
+ dev-python/PyQt5[${PYTHON_USEDEP},help,webengine]
+ )
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ >=dev-python/coverage-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.2.0[${PYTHON_USEDEP}]
+ !dev-util/eric:4
+ !dev-util/eric:5
+"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+S=${WORKDIR}/${MY_P}
+
+DOCS=(changelog README.rst THANKS)
+
+src_prepare() {
+ default
+
+ # Delete internal copies of dev-python/chardet and dev-python/pygments
+ rm -fr eric/ThirdParty/{CharDet,Pygments} || die
+
+ # Delete internal copy of dev-python/coverage
+ rm -fr eric/DebugClients/Python{,3}/coverage || die
+ sed -i -e 's/from DebugClients\.Python3\?\.coverage/from coverage/' \
+ $(grep -lr 'from DebugClients\.Python3\?\.coverage' .) || die
+}
+
+src_install() {
+ "${PYTHON}" install.py \
+ -b "${EPREFIX}/usr/bin" \
+ -d "$(python_get_sitedir)" \
+ -i "${D}" \
+ -c \
+ -z \
+ || die
+
+ python_optimize
+ einstalldocs
+}